Developers
API referenceReferenceExpense claims

Update an expense claim travel day

Free meals, the destination and a manual amount for one day.

PATCH
/v1/business/{business_slug}/expense_claims/{claim_id}/trips/{trip_id}/travel_days/{day_id}/

Path Parameters

business_slug*string

Business slug that scopes this request. If you do not have one yet, call common_accessible_businesses_list and pick a slug from the response.

claim_id*integer

Identifier of the target claim. If the ID is not known, use the corresponding list endpoint with relevant filters and/or the search parameter to discover valid IDs.

day_id*integer

Identifier of the target day. If the ID is not known, use the corresponding list endpoint with relevant filters and/or the search parameter to discover valid IDs.

trip_id*integer

Identifier of the target trip. If the ID is not known, use the corresponding list endpoint with relevant filters and/or the search parameter to discover valid IDs.

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH "https://example.com/v1/business/string/expense_claims/0/trips/0/travel_days/0/" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": 0,  "day_index": 0,  "starts_at": "2019-08-24T14:15:22Z",  "ends_at": "2019-08-24T14:15:22Z",  "duration_minutes": 0,  "destination": "string",  "destination_label": "string",  "destination_override": "string",  "allowance_type": "NONE",  "is_return_day": true,  "requires_review": true,  "after_return": true,  "unresolved_followup": true,  "basis": "string",  "free_meals": 0,  "meal_allowance": true,  "meal_allowance_available": true,  "manual_amount": 0,  "exception_basis": "string",  "exception_set_by": 0,  "exception_set_at": "2019-08-24T14:15:22Z",  "rate": "string",  "amount": 0.1,  "tax_free_amount": 0.1}